Summary:	gEdit is a small but powerful text editor for GNOME.
Name:		gedit
Version:	0.9.4
Release:	3
Epoch:		1
Copyright:	GPL
Group:		Applications/Editors
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gedit/gedit-%{version}.tar.gz
URL:		http://gedit.sourceforge.net/
BuildRoot:	%{_tmppath}/gedit-%{version}-root

Requires:	gtk+ >= 1.2.7
Requires:	gnome-libs >= 1.0.55
Requires:	gnome-print >= 0.18

Patch1:		gedit-0.9.4-cjk.patch
Patch2:		gedit-0.9.4-print.patch

%description
gEdit is a small but powerful text editor designed specifically for
the GNOME GUI desktop.  gEdit includes a plug-in API (which supports
extensibility while keeping the core binary small), support for
editing multiple documents using notebook tabs, and standard text
editor functions.

You'll need to have GNOME and GTK+ installed to use gEdit.

%package devel
Summary: The files needed for developing plug-ins for the gEdit editor.
Group: Development/Libraries

%description devel
gEdit is a small but powerful text editor for the GNOME GUI desktop.
This package allows you to develop plug-ins that work within gEdit.

Install gedit-devel if you want to write plug-ins for gEdit.

%prep
%setup -q
%patch1 -p1 -b .cjk
%patch2 -p1 -b .print

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
if [ -f /usr/lib/rpm/find-lang.sh ] ; then
 /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT %name
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL THANKS FAQ
%{_bindir}/gedit
%{_datadir}/gnome/apps/*/*
%{_datadir}/gnome/help/gedit
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_datadir}/gedit
%{_libdir}/gedit
%{_mandir}/*/*

%changelog
* Fri Feb 23 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed preview for !ja locale.

* Wed Feb 07 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed handling fontset. (Bug#24998)
- Added print out for multibyte patch.

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
0.9.4

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Aug 09 2000 Jonathan Blandford <jrb@redhat.com>
- include glade files so that it will actually work.

* Tue Aug 01 2000 Jonathan Blandford <jrb@redhat.com>
- upgrade package to newer version at request of author.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Sun Jun 11 2000 Jonathan Blandford <jrb@redhat.com>
- update to 0.7.9.  Somewhat untested.

* Fri Feb 11 2000 Jonathan Blandford <jrb@redhat.com>
- removed "reverse search function as it doesn't work.

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Mon Jan 17 2000 Elliot Lee <sopwith@redhat.com>
- If I don't put in a log entry here, people will be very upset about not
  being able to find out that I am to blame for the 0.6.1 upgrade

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5.4

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- Cleaned up a bit for Red Hat use

* Thu Oct 22 1998 Alex Roberts <bse@dial.pipex.com>
- First try at an RPM
